This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v10.1.105 (older) - Last updated February 8, 2019 - Send Feedback

## 3.244. __nv_normcdfinv

Prototype:

    double @__nv_normcdfinv(double %x)

Description:

Calculate the inverse of the standard normal cumulative distribution function for input argument `y`, Φ − 1 ( y ) . The function is defined for input values in the interval ( 0 , 1 ) .

Returns:

- __nv_normcdfinv(0) returns − ∞ .

- __nv_normcdfinv(1) returns + ∞ .

- __nv_normcdfinv(`x`) returns NaN if `x` is not in the interval [0,1].

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 7.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes